mercurial-importdsc(1)

NAME

mercurial-importdsc - Import exiting package into Mercurial repository.

SYNOPSIS

mercurial-importdsc [option] ... dscfile

DESCRIPTION

Import an existing source package into a Mercurial repository. The diffs and upstream sources are extracted from the contents of the .dsc file. mercurial-importorig(1) is called to import the upstream source into the upstream branch, which is then merged into the default branch, and the diffs are applied to the default branch. It is possible to use mercurial-importdsc multiple times to import several versions, but the versions must be imported sequentially starting with the earliest version.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

EXAMPLES

mercurial-importdsc ../mypack_1.2-3.dsc

    Import package mypack version 1.2-3 into the repository in the current directory. After the import, the repository will have the tags mypack_1.2 and mypack_1.2-3.

AUTHOR

Jens Peter Secher <jpsecher@gmail.com>

THANKS

The ideas for this package originates from John Goerzen's hg-buildpackage.

SEE ALSO

mercurial-importorig(1), mercurial-buildpackage(1), mercurial-tagversion(1), mercurial-pristinetar(1), mercurial-port(1).